【Python/flask】ModuleNotFoundError: No module named ‘marshmallow.compat’

Python

エラー内容

flaskで制作している際に、以下のエラーに遭遇しました。解決方法を記録しておきます。

ModuleNotFoundError: No module named 'marshmallow.compat'

解決方法

以下のライブラリを一旦アンインストール(pip uninstall)して、バージョンを以下に記載しているものに指定してインストールしたら解決しました。

  • flask-marshmallow 0.9.0
  • marshmallow 2.20.0
  • marshmallow-sqlalchemy 0.15.0

※コマンド例

pip install flask-marshmallow==0.9.0

タイトルとURLをコピーしました